class LicenceInfosController < ApplicationController
  protect_with("licence_info", "Licence", RxModule::Authorization.crud(false, :show, :update)) # note that anyone can read the decoded licence token.  We need to read it to decide what features to render.

  def licence
    render json: LicenceInfo.decoded_licence!
  end

  def index
    @models = [LicenceInfo.instance]
  end

  def show
    @model = LicenceInfo.instance
  end

  def update
    LicenceInfo.update_licence(info_params[:licence_code])
    render json: LicenceInfo.instance

    # If the owner is MESLITE and we have successfully fetched the new licence, then we can switch back to SATISLOH owner.
    LicenceInfo.stop_mes_lite_trial if
      (RxModule::Token.owner_name == LicenceInfo.mes_lite_owner) &&
      LicenceInfo.instance.last_check_error.nil?
  end

  private

  def info_params
    params.require(:licence_info).permit(:licence_code)
  end
end
