import {Grid, makeStyles, Typography} from "@material-ui/core";
import {Warning} from "@material-ui/icons";
import moment from "moment/moment";
import * as React from "react";
import {observer} from "mobx-react-lite";
import {LicenceInfoStore} from "../../stores/LicenceInfoStore";
import {t} from "@lingui/macro";

const useStyles = makeStyles(theme => ({
    icon: {
        height: '1.25em',
        width: '2em'
    }
}))

export const ExpiryText = observer(() => {
    const classes = useStyles();

    const model = LicenceInfoStore.selectedModel;

    if (!model) {
        return null;
    }

    return <Grid container>
        <Warning className={classes.icon}/>
        <Typography variant={'h5'}>{t`Licence will expire in`} {model.days_till_expired} {t`days`} ({(model.expiry_date)?.format('YYYY-MM-DD')})</Typography>
    </Grid>
})