import * as React from "react";
import {observer} from "mobx-react-lite";
import {Schedule, ShiftModel} from "../../../stores/ShiftStore";
import {t} from "@lingui/macro";
import {DateField} from "@rx-suite/ui";

export const StartDateField: React.FunctionComponent<{ shift: ShiftModel, schedule: Schedule, scheduleIndex: number, readOnly?: boolean }> = observer(({
                                                                                                                                                           shift,
                                                                                                                                                           schedule,
                                                                                                                                                           scheduleIndex,
                                                                                                                                                           readOnly
                                                                                                                                                       }) => {
    const name = `shift_schedules[${scheduleIndex}].start_date`;
    return (
        <DateField label={t`Starting At`} value={schedule.start_date} disabled={readOnly}
                   onChange={value => {
                       shift.handleScheduleChange(scheduleIndex, {
                           ...shift.viewModel.shift_schedules[scheduleIndex],
                           start_date: value
                       });
                   }}
                   error={shift.errors[name]}
        />
    );
});